package domain


type AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest struct {
    /*
        商品元素信息     */
    SkuElements  *[]AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        操作活动的ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID（数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人Name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        外部erp活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) SetSkuElements(v []AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto) *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest {
    s.OutActId = &v
    return s
}
